#include <array>

#ifndef SVARS_H
#define SVARS_H

struct sVars {
  double x, y, z;
  double xPrev, yPrev, zPrev;
  double vx, vy, vz;
  double vxPrev, vyPrev, vzPrev;
  double vxBody, vyBody, vzBody;
  double ax, ay, az, axPrev, ayPrev, azPrev;

  double yaw, pitch, roll;
  double phidot, thetadot, psidot;
  double yawPrev, pitchPrev, rollPrev;
  double yawdot, pitchdot, rolldot;
  double yawdotPrev, pitchdotPrev, rolldotPrev;
  double yawddot, pitchddot, rollddot;
  double yawddotPrev, pitchddotPrev, rollddotPrev;

  double m, m0, mp, mb, mdot;
  double vehicleHeight, vehicleRadius, momentArm;

  double tb;
  double vb;
  double thrust, thrust_prev, burnElapsed, burnStart;
  double LQRx, LQRy, Fx, Fy, Fz;
  double momentX, momentY, momentZ;

  double I11, I22, I33;
  double I11prev, I22prev, I33prev;
  double I11dot, I22dot, I33dot;

  int maxServo;
  double xServoDegs, yServoDegs;

  double simTime;
  int stepSize;
};

#endif